TokyoTyrant::put
TokyoTyrant::putKeep
TokyoTyrant
PHP Manual

# TokyoTyrant::putCat

(PECL tokyo_tyrant >= Unknown)

TokyoTyrant::putCat — Concatenates to a record

### Description

public TokyoTyrant TokyoTyrant::putCat ( mixed `$keys` [, string `$value` ] )

Appends a value into existing key or multiple values if `keys` is an array. The second parameter is mandatory if `keys` is a string. If the record does not exist a new record is created.

### Parameters

`keys`

  A string key or an array of key-value pairs

`value`

  The value in case a string key is used

### Return Values

This method returns a reference to the current object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::putCat example

`<?php
/* Connect to a database on default port */
$tt = new TokyoTyrant("localhost");
/* Create a new key */
$tt->put("key", "value");
/* Concatenate single key-value pair */
$tt->putCat("key", " has more data");
/* Echo the key */
echo $tt->get("key");
?>`

The above example will output:

    value has more data

### See Also

- TokyoTyrant::put - Puts values
- TokyoTyrant::putKeep - Puts a record

TokyoTyrant::put
TokyoTyrant::putKeep
TokyoTyrant
PHP Manual